Bug 132119 - firefox crashes in form autocomplete
Summary: firefox crashes in form autocomplete
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
high
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks: FC3Blocker
TreeView+ depends on / blocked
 
Reported: 2004-09-08 23:12 UTC by Nicholas Miell
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-20 10:17:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix frequent crashes on 64bit platforms (465 bytes, patch)
2004-09-08 23:14 UTC, Nicholas Miell
no flags Details | Diff

Description Nicholas Miell 2004-09-08 23:12:22 UTC
There's sizeof(int) verses sizeof(void*) problem in Firefox's
autocomplete implementation that causes frequent crashes anytime
you're  typing in autocomplete-enabled input boxes on a 64bit platform.

Upstream has it fixed, but it's not in 0.9.3.

Here's the patch.

Comment 1 Nicholas Miell 2004-09-08 23:14:23 UTC
Created attachment 103614 [details]
fix frequent crashes on 64bit platforms

Comment 2 Nicholas Miell 2004-09-08 23:16:45 UTC
upstream, for comparison:
http://lxr.mozilla.org/seamonkey/source/toolkit/components/satchel/src/nsFormHistory.cpp#781

Comment 4 Warren Togami 2004-09-20 05:51:36 UTC
Is this fixed in our 0.10 (PR) firefox package?

Comment 5 Nicholas Miell 2004-09-20 07:42:02 UTC
AFAICT, your 0.10 (PR) package isn't available to the public.

However, if it's based on firefox-1.0PR-source.tar.bz2, then, yes,
it's fixed.

Comment 6 Warren Togami 2004-09-20 10:17:44 UTC
Should be in rawhide soon.


Note You need to log in before you can comment on or make changes to this bug.